# Document API

`POST {root}/pdf/{entityname}/{templatename}/{id}`&#x20;

* The standard way to output a single PDF from a record, using the name of the template that should be used&#x20;
* Refer to the admin panel for the names of available templates for each entity

`POST {root}/pdf/bulkrpc/{templatename}/{id}`&#x20;

* A special route for outputting multiple PDFs for multiple records in one call.
* A 'bulk rpc report' using the 'print' action must first be created (which can be done via the API) - this dictates which records are included in the bulk print
* Once the ID of the bulk RPC report is obtained, use this endpoint to ouput PDFs for all records that were included in the bulk report.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pakk.io/data-and-integrations/api/api-structure/document-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
